put
https://gateway.remote.com/v1/employee/bank-account
Upserts the authenticated employee's bank account details.
This endpoint requires and returns country-specific data. The exact fields vary depending on which
country the authenticated employee's employment is in. Query the
Show form schema endpoint with bank_account_details
as the form name to discover the schema for a given country.
Authentication
This endpoint accepts any one of the following token types:
- Employee-scoped access token (
OAuth2Assertion) — obtained through theurn:ietf:params:oauth:grant-type:jwt-bearergrant. See OAuth Assertion. - Company-scoped access token (
OAuth2AuthorizationCode) — obtained by the employee through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
Scopes
Any one of the scopes in a token type's row is enough. all:write works too.
| Token type | Category | Read only Scope | Write only Scope (read access implicit) |
|---|---|---|---|
| Employee-scoped access token | Manage employments (employments) | - | Manage bank accounts (bank_account:write) |
| Company-scoped access token | Manage employments (employments) | - | - |
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Callback